coreutils
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[PATCH] tests: fix false failure with spaces in $PWD


From: Pádraig Brady
Subject: [PATCH] tests: fix false failure with spaces in $PWD
Date: Wed, 30 Nov 2016 15:52:56 +0000

* tests/misc/ptx-overrun.sh: Quote appropriately to avoid this
recently added issue, noticed by `make taint-distcheck`.
---
 tests/misc/ptx-overrun.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/tests/misc/ptx-overrun.sh b/tests/misc/ptx-overrun.sh
index 3b46812..7b087d3 100755
--- a/tests/misc/ptx-overrun.sh
+++ b/tests/misc/ptx-overrun.sh
@@ -44,6 +44,6 @@ compare /dev/null out || fail=1
 # Trigger an invalid heap reference noticed by gcc -fsanitize=address
 # from coreutils-8.25 and earlier.
 echo a > a
-ptx -w1 -A $PWD/a >/dev/null || fail=1
+ptx -w1 -A "$PWD/a" >/dev/null || fail=1
 
 Exit $fail
-- 
2.5.5




reply via email to

[Prev in Thread] Current Thread [Next in Thread]